sid2wav(1)

NAME
sid2wav - output wav files out of sid files

SYNOPSIS

sid2wav [-commands] <datafile>|- [outputfile]

DESCRIPTION
Sid2wav is a synthetic waveform generator from sid files, named after the Sound Interface Chip found in Commodore 64 personal computers. With this tool, one can 'convert' sid files to wav ones that popular music players like XMMS can play. Note that you don't have to convert sid files just to listen them, sidplay can play it for you just as it would sound on a real C64. Also, XMMS has an input plugin to play sid files directly. The use is that you may convert sid tunes to wav and later to any compressed format like Ogg or MP3 for users lacking sidplay. Other use would be to convert files to wav for audio CD creation.

COMMANDS

-h  gives help on usage.

-f<num>
    set frequency in Hz (default: 44100).

-16 16-bit (default: 8-bit)

-s  stereo (default: mono).

-ss enable stereo surround.

-u  au output (8000Hz mono 8-bit u-law).

-o<num>
    set song number (default: preset).

-a  improve PlaySID compatibility (not recommended).

-a2 transparent ROM memory mode (overrides -a).

-n  enable NTSC-clock speed for VBI tunes (not recommended).

-nf no SID filter emulation.

-ns MOS 8580 waveforms (default: MOS 6581).

-m<num>
    mute voices out of 1,2,3,4 (default: none). Example: -m13 (voices 1 and 3 off).

-t<num>
    set seconds to play (default: 60).

-b<num>
    skip first <num> seconds into the song (default: 0).

-fin<num>
    fade-in time in seconds (default: 0).

-fout<num>
    fade-out time in seconds (default: 2).

SEE ALSO
sidplay(1), xmms (1).

AUTHORS
Michael Schwendt <sidplay@geocities.com>
Adam Lorentzon <d93-alo@nada.kth.se>
This manpage was written for the Debian GNU/Linux system by Laszlo 'GCS' Boszormenyi <gcs@lsc.hu> (but may be used by others).